/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Uranium", "index.html", [
    [ "High Level Overview", "md_docs_overview.html", [
      [ "Core", "md_docs_overview.html#autotoc_md0", null ],
      [ "Backend", "md_docs_overview.html#autotoc_md1", null ],
      [ "Math", "md_docs_overview.html#autotoc_md2", null ],
      [ "MeshHandling", "md_docs_overview.html#autotoc_md3", null ],
      [ "Scene", "md_docs_overview.html#autotoc_md4", null ],
      [ "Settings", "md_docs_overview.html#autotoc_md5", null ],
      [ "View", "md_docs_overview.html#autotoc_md6", null ],
      [ "Toolkit Specifics", "md_docs_overview.html#autotoc_md7", null ],
      [ "Class Diagram", "md_docs_overview.html#autotoc_md8", null ]
    ] ],
    [ "Plugins in Uranium", "md_docs_plugins.html", [
      [ "Plugin Metadata", "md_docs_plugins.html#autotoc_md9", [
        [ "Plugin About Data", "md_docs_plugins.html#autotoc_md10", null ]
      ] ],
      [ "Plugin Types", "md_docs_plugins.html#autotoc_md11", null ],
      [ "Example Plugin Metadata", "md_docs_plugins.html#autotoc_md12", null ]
    ] ],
    [ "Rendering", "md_docs_rendering.html", [
      [ "Rendering Pipeline", "md_docs_rendering.html#autotoc_md13", null ],
      [ "Render Passes", "md_docs_rendering.html#autotoc_md14", null ],
      [ "SceneNode::render() versus Renderer::queueNode()", "md_docs_rendering.html#autotoc_md15", null ]
    ] ],
    [ "Translation Guide", "md_docs_translations.html", [
      [ "Mark strings as translatable in Python", "md_docs_translations.html#autotoc_md16", [
        [ "Use named arguments for string formatting", "md_docs_translations.html#autotoc_md17", null ],
        [ "String Placeholders and Semantic Tags", "md_docs_translations.html#autotoc_md18", null ],
        [ "Add extra context-markers for alt-key accelerated menu-items", "md_docs_translations.html#autotoc_md19", null ]
      ] ],
      [ "Mark a string as translatable in QML", "md_docs_translations.html#autotoc_md20", null ],
      [ "Extract the messages", "md_docs_translations.html#autotoc_md21", null ],
      [ "Theory on translation files", "md_docs_translations.html#autotoc_md22", null ],
      [ "Creating the PO files", "md_docs_translations.html#autotoc_md23", null ],
      [ "Creating the MO files & testing", "md_docs_translations.html#autotoc_md24", null ],
      [ "Finally", "md_docs_translations.html#autotoc_md25", null ]
    ] ],
    [ "Version Upgrade System", "md_docs_versionupgrade.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classUM_1_1Event_1_1ToolEvent.html",
"classUM_1_1Mesh_1_1MeshBuilder_1_1MeshBuilder.html#a190527dc41eddf112f7776ed44b2eaa5",
"classUM_1_1PluginObject_1_1PluginObject.html#a8f558b5828a3c4a04705b2fe5783ee14",
"classUM_1_1Scene_1_1SceneNode_1_1SceneNode.html#a4ac8e900767a93edab56e9cc511138b4",
"classUM_1_1Settings_1_1InstanceContainer_1_1InstanceContainer.html#a3b78a22077141978908583ae01bd1dfa",
"classUM_1_1Settings_1_1Validator_1_1Validator.html",
"classUM_1_1View_1_1Renderer_1_1Renderer.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';